SYSTEMD-MACHINE-ID-SETUP(1)

BEZEICHNUNG
systemd-machine-id-setup - Initialisierung der Maschinenkennung in /etc/machine-id

ÜBERSICHT

systemd-machine-id-setup

BESCHREIBUNG

systemd-machine-id-setup kann von Systeminstallationswerkzeugen zur Initialisierung der in /etc/machine-id gespeicherten Maschinenkennung zum Installationszeitpunkt mit einer bereitgestellten oder zufällig erzeugten Kennung verwandt werden. Siehe machine-id(5) für weitere Informationen über diese Datei.

Falls das Werkzeug ohne den Schalter --commit aufgerufen wird, wird /etc/machine-id mit einer gültigen, neuen Maschinenkennung initialisiert, falls sie fehlt oder leer ist. Die neue Maschinenkennung wird auf die folgende Weise erlangt:

    1. Falls eine gültige D-Bus-Maschinenkennung für das System bereits konfiguriert ist, wird die D-Bus-Maschinenkennung kopiert und zur Initialisierung der Maschinenkennung in /etc/machine-id verwandt.

    2. Falls die Ausführung innerhalb einer virtuellen KVM-Maschine erfolgt und (mit der Option -uuid) eine UUID konfiguriert ist wird diese UUID zur Initialisierung der Maschinenkennung verwandt. Der Aufrufende muss sicherstellen, dass die übergebene UUID hinreichend eindeutig ist und sich für jede gestartete Instanz der VM unterscheidet.

    3. Falls die Ausführung innerhalb einer Linux-Container-Umgebung erfolgt und eine UUID für den Container konfiguriert ist, wird diese ähnlich zur Initialisierung der Maschinenkennung verwandt. Für Details siehe die Dokumentation der Container-Schnittstelle[1].

    4. Andernfalls wird zufällig eine neue Kennung erstellt.

Der Schalter --commit kann zur Übergabe einer flüchtigen Maschinenkennung an die Platte verwandt werden, wodurch sie dauerhaft wird. Für Details siehe unten.

Verwenden Sie systemd-firstboot(1), um die Maschinenkennung auf eingehängten (aber nicht gestarteten) Systemabbildern zu initialisieren.

OPTIONEN

Die folgenden Optionen werden verstanden:

--root=Wurzel
    Akzeptiert einen Verzeichnispfad als Argument. Allen Pfaden, mit denen gearbeitet wird, wird eine alternative Wurzel vorangestellt; hierzu gehört auch /etc/machine-id selbst.

--commit
    Übergibt eine flüchtige Maschinenkennung an die Platte. Dieser Befehl kann dazu verwandt werden, eine flüchtige Maschinenkennung in eine dauerhafte umzuwandeln. Eine flüchtige Maschinenkennungsdatei ist eine, die während der frühen Phase des Systemstarts per »bind« aus einem Speicherdateisystem (üblicherweise »tmpfs«) eingehängt wurde. Dies kann passieren, da /etc anfänglich schreibgeschützt ist und zu diesem Zeitpunkt eine gültige Maschinenkennungsdatei fehlte.

    Dieser Befehl wird keine Aktion ausführen, falls /etc/machine-id nicht von einem Speicherdateisystem aus eingehängt ist oder falls /etc nur lesbar ist. Der Befehl wird die aktuelle flüchtige Maschinenkennung auf Platte schreiben und den Einhängepunkt /etc/machine-id in einer ressourcenwettstreitfreien Art aushängen, um sicherzustellen, dass diese Datei immer gültig und für andere Prozesse zugreifbar ist.

    Dieser Befehl wird hauptsächlich als Dienst in der frühen Systemstartphase von systemd-machine-id-commit.service(8) verwandt.

--print
    Gibt die erstellte oder übergebene Maschinenkennung nach Abschluss der Aktion aus.

-h, --help
    Zeigt einen kurzen Hilfetext an und beendet das Programm.

--version
    Zeigt eine kurze Versionszeichenkette an und beendet das Programm.

EXIT-STATUS

Bei Erfolg wird 0 zurückgegeben, anderenfalls ein Fehlercode ungleich Null.

SIEHE AUCH

systemd(1), machine-id(5), systemd-machine-id-commit.service(8), dbus-uuidgen(1), systemd-firstboot(1)

ANMERKUNGEN

1.  Container-Schnittstelle
    https://www.freedesktop.org/wiki/Software/systemd/ContainerInterface

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.